Post-alphabetical article names and sort keys do not receive a letter/symbol heading in category list
Closed, ResolvedPublic

Assigned To
None
Priority
Normal
Author
bzimport
Subscribers
wikibugs-l
Projects
Reference
bz2835
Description

Author: muke

Description:
If an article is placed in a category and sorts
under 'z' or '{' or 'a' or '~' etc. it will appear
under that character's heading in the category list
... but if the sort is under 'Ż' or 'ê' or 'う' etc.
it will not appear under a character heading at all.

In a mixed-alphabet category it will be seen that
all characters after Z appear lumped together under
a blank heading.

This bug does not seem to affect subcategories,
whose behavior appears to be the same as before.

Other examples:
http://la.wiktionary.org/wiki/Categoria:
Lingua_Francogallica
http://en.wiktionary.org/wiki/Category:
Romanian_language
http://ja.wiktionary.org/wiki/Category:日本語


Version: unspecified
Severity: normal
URL: http://en.wiktionary.org/wiki/Category:Bosnian_common_nouns

bzimport added a project: MediaWiki-Categories.Via ConduitNov 21 2014, 8:40 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz2835.
bzimport created this task.Via LegacyJul 13 2005, 2:41 AM
bzimport added a comment.Via ConduitJul 13 2005, 10:12 AM

gangleri wrote:

examples regarding comment 0

This bug does not seem to affect subcategories,
whose behavior appears to be the same as before.

category: http://en.wiktionary.org/wiki/Category:Hebrew_language
subcategory: http://en.wiktionary.org/wiki/Category:Hebrew_letters

Regards Reinhardt [[user:gangleri]]

bzimport added a comment.Via ConduitJul 13 2005, 4:47 PM

muke wrote:

I meant the listing of subcategories on a category page, not
the subcategory itself... but it is strange that en.wikt's
category:Hebrew language doesn't have the character heading for
אתה while category:Hebrew letters does.

brion added a comment.Via ConduitJul 14 2005, 5:46 AM

This regression was caused by the fix for bug 2802. I've backed out that fix pending corrections.

bzimport added a comment.Via ConduitJul 14 2005, 6:09 AM

balkanboi wrote:

I've seen this problem on other categories and some of them have been fixed, but this one has
not.

brion added a comment.Via ConduitJul 14 2005, 6:11 AM

Use ?action=purge if necessary to ensure you're looking at a currently generated version of the page.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.